#
# spec file for package python-pyramid_tm-doc
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2015 LISA GmbH, Bingen, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pyramid_tm-doc
Version:        2.2
Release:        2.1
Url:            http://docs.pylonsproject.org
Summary:        Documentation for python-pyramid_tm
License:        BSD-4-Clause and ZPL-2.1 and MIT
Group:          Documentation/HTML
Source:         https://files.pythonhosted.org/packages/source/p/pyramid_tm/pyramid_tm-%{version}.tar.gz
Source1:        fetch-intersphinx-files.sh
Source2:        pyramid.inv
# Documentation requirements:
BuildRequires:  %{python_module Sphinx}
BuildRequires:  %{python_module pylons_sphinx_themes}
BuildRequires:  %{python_module pyramid_tm} = %{version}
BuildRequires:  python-rpm-macros
Recommends:     %{python_module pyramid_tm} = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
This package contains documentation files for python-pyramid_tm.

%prep
%setup -q -n pyramid_tm-%{version}
# patch in local intersphinx file
sed -i "s|'\(.*\)', None|'\1', 'pyramid.inv'|g" docs/conf.py
cp %{SOURCE2} docs/

%build
# Not needed

%install
%python_exec setup.py build_sphinx && rm build/sphinx/html/.buildinfo

%files %python_files
%defattr(-,root,root,-)
%if 0%{?leap_version} >= 420200 || 0%{?suse_version} > 1320
%license LICENSE.txt
%else
%doc LICENSE.txt
%endif
%doc CHANGES.rst CONTRIBUTORS.txt COPYRIGHT.txt README.rst
%doc build/sphinx/html

#

%changelog
* Wed Sep  6 2017 bruno@ioda-net.ch
- rename requires to plaster-pastedeploy
* Fri Jul 28 2017 bruno@ioda-net.ch
- update to version 2.2 (check Major backward incompatibilities)
  https://pypi.python.org/pypi/pyramid_tm/2.2
- Packaging
  + move to singlespec
  + backport changes from d:l:p3 (split doc etc)
* Sat Sep 24 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.0:
  * Drop Python 2.6, 3.2 and 3.3 support.
  * Add Python 3.5 support.
  * Subtle bugs can occur if you use the transaction manager during a
    request in which "pyramid_tm" is disabled via an
    "activate_hook". To combat these types of errors, attempting to
    access "request.tm" will now raise an "AttributeError" when
    "pyramid_tm" is inactive.  See
    https://github.com/Pylons/pyramid_tm/pull/46
* Mon Jun 13 2016 toddrme2178@gmail.com
- Remove unneeded test dependencies.
* Mon Jun 13 2016 toddrme2178@gmail.com
- Split documentation into subpackage to speed up build.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * changed to https for source url
  * updated source url to files.pythonhosted.org
  * remove if case for suse version <= 1110
* Fri Nov 27 2015 arun@gmx.de
- specfile:
  * added WebTest requirement for tests
- update to version 0.12.1:
  * Fix compatibility with 1.2 and 1.3 again. This wasn't fully fixed
    in the 0.12 release as the tween was relying on request properties
    working (which they do not inside tweens in older versions).  See
    https://github.com/Pylons/pyramid_tm/pull/39
* Fri Aug 21 2015 bruno@ioda-net.ch
- Build & packaging for python3
* Thu Jul 30 2015 hpj@urpla.net
- 0.12 (2015-05-21)
  * Expose a tm.annotate_user option to avoid computing
    request.unauthenticated_userid on every request.
    See https://github.com/Pylons/pyramid_tm/pull/36
  * Restore compatibility with Pyramid 1.2 and 1.3.
- 0.11 (2015-02-04)
  * Add a hook to override creation of the transaction manager (the default
    remains the thread-local one accessed through transaction.manager).
    See: https://github.com/Pylons/pyramid_tm/pull/31
* Wed Feb  4 2015 hpj@urpla.net
- update to 0.10: changes are too many to list here, see:
  https://pypi.python.org/pypi/pyramid_tm/0.10
* Tue Aug  6 2013 hpj@urpla.net
- provide local intersphinx file
* Mon Aug  5 2013 hpj@urpla.net
- version 0.7: initial build
